#ifndef NAVLISTWIDGET_H
#define NAVLISTWIDGET_H
/*
    des: 导航列表
*/
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QVBoxLayout>
class  NavListWidget:public  QFrame
{
    Q_OBJECT
public:
    explicit NavListWidget(QFrame * parent = NULL);
    virtual ~NavListWidget( );
    void  init();
    void  initLay();
    bool  initConnect();
    void  setList(QStringList strlist,QStringList strlistObjectName);
    void  setCustomSize(QSize tempSize);
signals:
    void  SigClicked(QString );
private slots:
    void onButtonClicked( QAbstractButton *button);
private:
    QList<QPushButton*> m_listBtns;
    QSize   m_size;
};
#endif // NAVLISTWIDGET_H
